be.fgov.ehealth.mediprima.core.v1

## Class BySsinType

- java.lang.Object
- - be.fgov.ehealth.mediprima.core.v1.BySsinType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-09-22T05:39:54+02:00",
                 comments="JAXB RI v2.2.11")
      public class BySsinType
      extends Object
      implements Serializable

  Java class for BySsinType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="BySsinType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Ssin" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <choice>
                 <element name="Period" type="{urn:be:fgov:ehealth:mediprima:core:v1}PeriodType"/>
                 <element name="ReferenceDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
               </choice>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BySsinType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PeriodType` | `getPeriod()` Gets the value of the period property.
    `org.joda.time.DateTime` | `getReferenceDate()` Gets the value of the referenceDate property.
    `String` | `getSsin()` Gets the value of the ssin property.
    `void` | `setPeriod(PeriodType value)` Sets the value of the period property.
    `void` | `setReferenceDate(org.joda.time.DateTime value)` Sets the value of the referenceDate property.
    `void` | `setSsin(String value)` Sets the value of the ssin property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BySsinType

          public BySsinType()

  - ### Method Detail

    - #### getSsin

          public String getSsin()

      Gets the value of the ssin property.
      Returns:
        possible object is `String`

    - #### setSsin

          public void setSsin(String value)

      Sets the value of the ssin property.
      Parameters:
        `value` - allowed object is `String`

    - #### getReferenceDate

          public org.joda.time.DateTime getReferenceDate()

      Gets the value of the referenceDate property.
      Returns:
        possible object is `String`

    - #### setReferenceDate

          public void setReferenceDate(org.joda.time.DateTime value)

      Sets the value of the referenceDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPeriod

          public PeriodType getPeriod()

      Gets the value of the period property.
      Returns:
        possible object is `PeriodType`

    - #### setPeriod

          public void setPeriod(PeriodType value)

      Sets the value of the period property.
      Parameters:
        `value` - allowed object is `PeriodType`

Connector Packaging PERSPHYSICIAN 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.